/****************************************************************************
   File:        Run2.java
   Description: Software to test the scheduler.
   Project:     MAC 322 - Distributed Scheduler
   Authors:     Nelio Pereira (nelio@ime.usp.br)
   Institution: Department of Computer Science
                University of Sao Paulo
******************************************************************************/

package sod.exec;

import java.io.PrintStream;
import sod.util.AbstractApplication;

public class Run2 extends AbstractApplication {

    private int i;
    private Lock lock;

    public Run2() {
	i = 0;
	lock = new Lock();
    }

    public synchronized void suspend() {
	PrintStream pout = new PrintStream(out);
	try {
	    lock.lock();
	} catch (InterruptedException e) {
	    e.printStackTrace(pout);
	}
	pout.println("Suspendendo a execucao...");
    }

    public void resume() {
	PrintStream pout = new PrintStream(out);
	pout.println("Resumindo a execucao...");
	lock.unlock();
    }

    public void run() {
	PrintStream pout = new PrintStream(out);
	for (; i <= 100; i++) {
	    try {
		lock.lock();
		pout.println(i);
		Thread.sleep(1500);
		lock.unlock();
	    } catch (InterruptedException e) {
		e.printStackTrace(pout);
	    }
	}
    }
    
}

