/****************************************************************************
   File:        SchedulerUIImpl.java
   Description: The implementation of a Scheduler User Interface.
   Project:     MAC 322 - Distributed Scheduler
   Authors:     Nelio Pereira (nelio@ime.usp.br)
   Institution: Department of Computer Science
                University of Sao Paulo
******************************************************************************/

package sod.server;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;
import javax.swing.*;

import sod.util.*;


public class SchedulerUIImpl extends UnicastRemoteObject implements SchedulerUI { 

    private ProcPanel procPanel;
    private JTextArea textArea;

    public SchedulerUIImpl(ProcPanel procPanel) throws RemoteException {
	super();
	this.procPanel = procPanel;
	this.textArea = procPanel.getTextArea();
    } 

    public void write(String txt) throws RemoteException {
	textArea.append(txt);
	textArea.setCaretPosition(textArea.getText().length());
    }

    public void writeAll(String txt) throws RemoteException {
	MainPanel mainPanel = procPanel.getMonitor().getMainPanel();
	mainPanel.writeLog(txt);
    }

    public void finish() {
	procPanel.finish();
    }
}
