/****************************************************************************
   File:        FileClassLoader.java
   Description: A ClassLoader that bets its data from a file.
   Project:     MAC 322 - Distributed Scheduler
   Authors:     Nelio Pereira (nelio@ime.usp.br)
   Institution: Department of Computer Science
                University of Sao Paulo
******************************************************************************/

package sod.util;

import java.io.*;


public class FileClassLoader extends ClassLoader {
    
    private File file;
    
    public FileClassLoader(File file) {
	this.file = file;
    }

    private byte[] getData() {
	byte[] b = null;
	FileInputStream fis = null;
	try {
	    fis = new FileInputStream(file);
	    b = new byte[(int)file.length()];
	    fis.read(b);
	} catch (IOException e) {
	    e.printStackTrace();
	} finally {
	    try {
		if (fis != null) {
		    fis.close();
		}
	    } catch (IOException e) {
		e.printStackTrace();
	    }
	}
	return b;
    }
    
    public Class findClass(String name) {
	byte[] b = getData();
	return defineClass(name, b, 0, b.length);
    }

    
    public Class loadClass() {
	return findClass(null);
    }
    
}
