/****************************************************************************
   File:        LoggerOutputStream.java
   Description: An OutputStream that writes it's strings to a remote object.
   Project:     MAC 322 - Distributed Scheduler
   Authors:     Nelio Pereira (nelio@ime.usp.br)
   Institution: Department of Computer Science
                University of Sao Paulo
******************************************************************************/

package sod.util;

import java.io.*;
import javax.swing.*;
import java.rmi.RemoteException;

import sod.util.SchedulerUI;


public class LoggerOutputStream extends OutputStream implements Serializable {

    private SchedulerUI schedulerUI;

    public LoggerOutputStream(SchedulerUI schedulerUI) {
	super();
	this.schedulerUI = schedulerUI;
    }

    public void write(int b){
	try {
	    schedulerUI.write(""+(char)b);
	} catch (RemoteException e) {
	    e.printStackTrace();
	}
    }
}

