/****************************************************************************
   File:        Processor.java
   Description: What a processor should implement.
   Project:     MAC 322 - Distributed Scheduler
   Authors:     Nelio Pereira (nelio@ime.usp.br)
   Institution: Department of Computer Science
                University of Sao Paulo
******************************************************************************/

package sod.util;

import java.io.Serializable;
import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.Vector;

public interface Processor extends Remote {
    public String getServerName() throws RemoteException;
    public void execute(sod.util.Process process) throws RemoteException;
    public int getScore() throws RemoteException;
    public int getNumProcesses() throws RemoteException;
    public String getHostName() throws RemoteException;
    public void exit(long delay) throws RemoteException;
    public Vector getProcesses() throws RemoteException;
    public int[] getPIDs(int numProcesses) throws RemoteException;
    public void delProcess(int pid) throws RemoteException;
    public Process suspendProcess(int pid) throws RemoteException;
}
